Subject: [Capwap] RE: Negotiation of user data Termination

From: "Darren Loher" <[email-masked]>
Date: Mon, 11 Jul 2005 15:48:36 -0700

Hi Michael,

Thanks for the response.  However, I am still having a hard time finding a
TLV or control message which refers to tunneling capabilities and wether or
not they should be activated.  Can you point out the sections in CTP where
these are defined?

It seems the tunnel capabilities should be in 5.3.1, but the capabilities
listed are:
MAC-CAP
AUTH-CAP
ENCRYPT-CAP

Also, I believe there needs to be a mechanism for the AC to configure the
WTP for tunnel operation.  Section 5.3.3 seems to imply that such an action
would occur here, but there is no definition of how.  I can only infer that
it might be via an SNMP OID embedded in the CTP Config-Req message?

-Darren

> -----Original Message-----
> From: Michael Montemurro [mailto:[email-masked]]
> Sent: Thursday, June 30, 2005 8:09 AM
> To: Darren Loher; James Kempf; Pat Calhoun; Sadot, Emek (Emek);
> [email-masked]; [email-masked]
> Subject: Negotiation of user data Termination
> 
> Darren,
> 
> In the CTP protocol, the WTP advertises its user data termination (WTP or
> AC) capabilities to the AC during the connection process.
> 
> The AC can configure the user data termination mode (local or AC) at the
> WTP
> on a logical network  basis. For example, in a branch environment, you
> could
> configure a WTP to advertise a network that is bridged locally to the LAN
> and a separate logical network that is tunnelled back through the WAN to
> the
> AC.
> 
> The data termination mode negotiation is described in version 02 of the
> draft.
> 
> Cheers,
> 
> 	Mike

---

From: Michael Montemurro <[email-masked]>
Date: Tue, 12 Jul 2005 15:56:25 -0400

Darren,

Thanks for pointing that out. I think we need to clarify the tunnelling
behavior more clearly in the text of our draft. 

We do send an OID down in the configuration, inside the CTP Config-Resp
message, that tells the WTP to tunnel traffic or bridge locally. It allows
us to configure the tunnelling option on the WTP on logical network basis.
For instance in a branch scenario, you may want to configure a poliy for the
WTP to bridge traffic locally for one network, but tunnel traffic to the
controller for another network.

Cheers,

	Mike

> From: Darren Loher [mailto:[email-masked]] 
> Sent: July 11, 2005 6:49 PM
> To: Michael Montemurro; James Kempf; Pat Calhoun; Sadot, Emek 
> (Emek); [email-masked]; [email-masked]
> Subject: RE: Negotiation of user data Termination
> 
> Hi Michael,
> 
> Thanks for the response.  However, I am still having a hard 
> time finding a TLV or control message which refers to 
> tunneling capabilities and wether or not they should be 
> activated.  Can you point out the sections in CTP where these 
> are defined?
> 
> It seems the tunnel capabilities should be in 5.3.1, but the 
> capabilities listed are:
> MAC-CAP
> AUTH-CAP
> ENCRYPT-CAP
> 
> Also, I believe there needs to be a mechanism for the AC to 
> configure the WTP for tunnel operation.  Section 5.3.3 seems 
> to imply that such an action would occur here, but there is 
> no definition of how.  I can only infer that it might be via 
> an SNMP OID embedded in the CTP Config-Req message?
> 
> -Darren
> 
> 
> > In the CTP protocol, the WTP advertises its user data 
> termination (WTP 
> > or
> > The AC can configure the user data termination mode (local 
> or AC) at 
> > the WTP on a logical network  basis. For example, in a branch 
> > environment, you could configure a WTP to advertise a 
> network that is 
> > bridged locally to the LAN and a separate logical network that is 
> > tunnelled back through the WAN to the AC.
> > 
> > The data termination mode negotiation is described in version 02 of 
> > the draft.
> > 
> > Cheers,
> > 
> > 	Mike
> 
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "Darren Loher" <[email-masked]>
Date: Tue, 12 Jul 2005 13:06:23 -0700

Hi Mike,

I believe CTP's approach of using SNMP requires that CTP also publish a
minimum standard MIB.  The reason is there are a couple of mandatory CAPWAP
functions which CTP implements via OID's.   To ensure interoperability, CTP
needs to publish at least the minimum OID's.  (such as tunnel configuration
control)  

> Sent: Tuesday, July 12, 2005 1:56 PM

---

From: Michael Montemurro <[email-masked]>
Date: Wed, 13 Jul 2005 08:50:45 -0400

Darren,

You are correct. We will update that information the next time we update the
CTP draft.

Thanks,

	Mike 

> Sent: July 12, 2005 4:06 PM
> I believe CTP's approach of using SNMP requires that CTP also 
> publish a minimum standard MIB.  The reason is there are a 
> couple of mandatory CAPWAP
> > Thanks for pointing that out. I think we need to clarify the 
> > tunnelling behavior more clearly in the text of our draft.
> > 
> > We do send an OID down in the configuration, inside the CTP 
> > Config-Resp message, that tells the WTP to tunnel traffic or bridge 
> > locally. It allows us to configure the tunnelling option on 
> the WTP on logical network basis.
> > For instance in a branch scenario, you may want to 
> configure a poliy 
> > for the WTP to bridge traffic locally for one network, but tunnel 
> > traffic to the controller for another network.
> > 
> > Cheers,
> > 
> > 	Mike
> > 
> > > Thanks for the response.  However, I am still having a hard time 
> > > finding a TLV or control message which refers to tunneling 
> > > capabilities and wether or not they should be activated.  Can you 
> > > point out the sections in CTP where these are defined?
> > >
> > > configure the WTP for tunnel operation.  Section 5.3.3 seems to 
> > > imply that such an action would occur here, but there is no 
> > > definition of how.  I can only infer that it might be via an SNMP 
> > > OID embedded in the CTP Config-Req message?
> > >
> > > -Darren
> > >
> > >
> > > > The data termination mode negotiation is described in 
> version 02 
> > > > of the draft.
> > > >
> > > > Cheers,
> > > >
> > > > 	Mike
> > >
>